> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Report Link

> Provides a URL that can be used to view the report for the user.



## OpenAPI

````yaml GET /users/{userid}/reportlink
openapi: 3.0.3
info:
  title: Multi-Server API
  version: 1.0.0
servers:
  - url: https://api.defaultservice.com/v1
    description: Default service base URL
security:
  - basicAuth: []
paths:
  /users/{userid}/reportlink:
    servers:
      - url: https://api.smartermeasure.com/v3
        description: SmarterMeasure User Service
    get:
      summary: Provides a URL that can be used to view the report for the user.
      parameters:
        - in: path
          name: userid
          required: true
          schema:
            type: number
          description: User that should be returned.
        - in: query
          name: ttl
          schema:
            type: number
            default: 2
          description: >-
            The number of minutes the link should be valid for. Default is 2
            minutes, max is 90 days.
      responses:
        '200':
          description: Report link URL for the user.
          content:
            application/json:
              example:
                EntryLink: >-
                  https://api.smartermeasure.com/quickview.ViewReport/key/1F9AA19FD4D41811B0D8128EFD457FC
                ExpiresAt: '2026-06-09T20:43:26Z'
                LinkId: 38a746104b91456a9c454b4b051ab524
              schema:
                type: object
                properties:
                  EntryLink:
                    type: string
                    description: >-
                      The URL to access the user's report. Valid until
                      ExpiresAt.
                  ExpiresAt:
                    type: string
                    format: date-time
                    description: The date and time the link expires.
                  LinkId:
                    type: string
                    description: Unique identifier for this report link.
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Basic authentication with username and password

````